public inbox for u-boot@lists.denx.de
 help / color / mirror / Atom feed
* [PATCH v2 1/2] Revert "kbuild: remove unused dtc-version.sh script"
@ 2020-04-27  0:29 Simon Glass
  2020-04-27  0:29 ` [PATCH v2 2/2] Makefile: Only build dtc if needed Simon Glass
  0 siblings, 1 reply; 11+ messages in thread
From: Simon Glass @ 2020-04-27  0:29 UTC (permalink / raw)
  To: u-boot

We need this to make building dtc optional. It makes no sense to build our
own dtc if the system one works correctly.

This reverts commit ddb87a0b40262ff99d675e946f57427642303938.

Signed-off-by: Simon Glass <sjg@chromium.org>
---

 scripts/Kbuild.include |  1 +
 scripts/dtc-version.sh | 21 +++++++++++++++++++++
 2 files changed, 22 insertions(+)
 create mode 100755 scripts/dtc-version.sh

diff --git a/scripts/Kbuild.include b/scripts/Kbuild.include
index dfb67226b0..b34dedade7 100644
--- a/scripts/Kbuild.include
+++ b/scripts/Kbuild.include
@@ -152,6 +152,7 @@ cc-ifversion = $(shell [ $(cc-version) $(1) $(2) ] && echo $(3) || echo $(4))
 
 # added for U-Boot
 binutils-version = $(shell $(CONFIG_SHELL) $(srctree)/scripts/binutils-version.sh $(AS))
+dtc-version = $(shell $(CONFIG_SHELL) $(srctree)/scripts/dtc-version.sh $(DTC))
 
 # cc-ldoption
 # Usage: ldflags += $(call cc-ldoption, -Wl$(comma)--hash-style=both)
diff --git a/scripts/dtc-version.sh b/scripts/dtc-version.sh
new file mode 100755
index 0000000000..0744c39eb0
--- /dev/null
+++ b/scripts/dtc-version.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# dtc-version dtc-command
+#
+# Prints the dtc version of `dtc-command' in a canonical 6-digit form
+# such as `010404'  for dtc 1.4.4
+#
+
+dtc="$*"
+
+if [ ${#dtc} -eq 0 ]; then
+	echo "Error: No dtc command specified."
+	printf "Usage:\n\t$0 <dtc-command>\n"
+	exit 1
+fi
+
+MAJOR=$($dtc -v | head -1 | awk '{print $NF}' | cut -d . -f 1)
+MINOR=$($dtc -v | head -1 | awk '{print $NF}' | cut -d . -f 2)
+PATCH=$($dtc -v | head -1 | awk '{print $NF}' | cut -d . -f 3 | cut -d - -f 1)
+
+printf "%02d%02d%02d\\n" $MAJOR $MINOR $PATCH
-- 
2.26.2.303.gf8c07b1a785-goog

^ permalink raw reply related	[flat|nested] 11+ messages in thread

end of thread, other threads:[~2020-05-01  4:04 UTC | newest]

Thread overview: 11+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-04-27  0:29 [PATCH v2 1/2] Revert "kbuild: remove unused dtc-version.sh script" Simon Glass
2020-04-27  0:29 ` [PATCH v2 2/2] Makefile: Only build dtc if needed Simon Glass
2020-04-27  0:58   ` Heinrich Schuchardt
2020-04-27 22:25     ` Simon Glass
2020-04-27 23:10       ` Vagrant Cascadian
2020-04-28 14:19         ` Tom Rini
2020-04-28 15:41           ` Simon Glass
2020-04-28 15:52             ` Tom Rini
2020-04-28 22:40               ` Simon Glass
2020-04-30 15:05                 ` Tom Rini
2020-05-01  4:04                   ` Simon Glass

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox